

import { request, METHOD, } from '@/utils/request'

//获取部门
export async function getMechanism(data) {
    return request(`/dept/queryListByParentId/${data.type}/${data.id}`, METHOD.GET)
}

//获取树形
export async function getMechanismTree(data) {
    return request(`/dept/findAllTree`, METHOD.GET, data)
}
//获取数据权限树形
export async function getDataDeptTree() {
    return request(`/dept/getDataDeptTree`, METHOD.GET)
}

//获取保险公司列表

// export async function getCompanyList(data) {
//   return request("/agreeReport/getInsuranceCompany", METHOD.POST, data)
// }


export default {
    getMechanism,
    getMechanismTree,
    getDataDeptTree
}
